package com.ozs.web.controller.tool;

import com.ozs.pm.service.IPmDemandService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 项目管理任务调度
 */
@Component
@Slf4j
public class PmTaskServer {
    @Autowired
    private IPmDemandService pmDemandService;

    /**
     * 更新预警状态
     */
    public void updateDemandWarnStatus(){
        log.info("******** 项目管理任务  开始");
        //采购需求管理:针对项目计划中提报需求时间截止时间前一个月还未提报采购需求材料的，进行预警

        //任务下达管理:针对采购需求已完成提报X天的项目，且尚未进行任务下达的，进行预警

        //合同信息管理:针对中标通知书发放25天，且尚未提交合同相关材料的项目，进行预警

        //项目建设管理:针对各阶段预置的起始时间期限，进行预警
        log.info("******** 项目管理任务  结束");
    }

}
